"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var themes = require("../themes");
function configureTheme(theme) {
    switch (theme) {
        case 'DARK':
            monaco.editor.defineTheme('monokai', themes.dark);
            monaco.editor.setTheme('monokai');
            break;
        case 'LIGHT':
            monaco.editor.setTheme('vs-light');
            break;
        default:
            throw new Error("Theme '" + theme + "' not supported.");
    }
}
exports.configureTheme = configureTheme;
