"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var common_1 = require("../common");
var util_server_1 = require("@tdb/util.server");
exports.fsPath = util_server_1.fsPath;
var util_server_2 = require("@tdb/util.server");
exports.log = util_server_2.log;
exports.fs = util_server_2.fs;
exports.glob = util_server_2.glob;
exports.express = util_server_2.express;
var ROOT_PATH = util_server_1.fsPath.join(__dirname, '../..');
var STATIC = 'static/@tdb/editor.code';
exports.constants = tslib_1.__assign({}, common_1.constants, { ROOT_PATH: ROOT_PATH, EDITOR_RESOURCES: {
        SOURCE: util_server_1.fsPath.resolve('./node_modules/@timkendrick/monaco-editor/dist'),
        LOCAL: util_server_1.fsPath.join(ROOT_PATH, STATIC),
        HOST: util_server_1.fsPath.resolve("./" + STATIC),
    }, ECMASCRIPT_DEFS: {
        SOURCE: util_server_1.fsPath.resolve('./node_modules/typescript/lib'),
        LOCAL: util_server_1.fsPath.resolve("./" + STATIC + ".d"),
    }, VS: {
        SOURCE: util_server_1.fsPath.resolve('./node_modules/monaco-editor/min/vs'),
    } });
