"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DARK = {
    BG: '#202634',
    BG_SELECTION: '#394050',
    BG_GUTTER: '#262C3A',
};
exports.dark = {
    base: 'vs-dark',
    inherit: true,
    colors: {
        'editor.foreground': '#F8F8F2',
        'editor.background': exports.DARK.BG,
        'editor.selectionBackground': exports.DARK.BG_SELECTION,
        'editor.lineHighlightBackground': exports.DARK.BG_SELECTION,
        'editorCursor.foreground': '#F8F8F0',
        'editorWhitespace.foreground': '#3B3A32',
        'editorIndentGuide.activeBackground': '#9D550F',
        'editor.selectionHighlightBorder': '#222218',
        'editorGutter.background': exports.DARK.BG_GUTTER,
        'scrollbarSlider.shadow': exports.DARK.BG,
        'scrollbarSlider.background': exports.DARK.BG,
        'scrollbarSlider.activeBackground': exports.DARK.BG_GUTTER,
        'scrollbarSlider.hoverBackground': '#2B313E',
    },
    rules: [],
};
