"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var common_1 = require("../common");
var next = require("@tdb/web/lib/server/document");
next.fastClick();
var Document = (function (_super) {
    tslib_1.__extends(Document, _super);
    function Document() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Document.getInitialProps = function (args) {
        return tslib_1.__awaiter(this, void 0, void 0, function () {
            var page;
            return tslib_1.__generator(this, function (_a) {
                page = next.renderCss(args);
                return [2, tslib_1.__assign({}, page)];
            });
        });
    };
    Document.prototype.render = function () {
        var props = this.props;
        return (common_1.React.createElement("html", null,
            common_1.React.createElement(next.Head, null,
                common_1.React.createElement("meta", { name: 'viewport', content: 'width=device-width, initial-scale=1' }),
                common_1.React.createElement("link", { rel: 'icon', type: 'image/x-icon', href: "/favicon.ico" }),
                common_1.React.createElement(next.Stylesheet, { href: common_1.constants.URL.CSS }),
                common_1.React.createElement("style", { dangerouslySetInnerHTML: { __html: props.css } })),
            common_1.React.createElement("body", null,
                common_1.React.createElement(next.Main, null),
                common_1.React.createElement(next.NextScript, null))));
    };
    return Document;
}(next.Document));
exports.default = Document;
