import { React, css } from '../common';
import { CodeEditor } from '..';

export const Test = () => {
  const styles = {
    base: css({ Absolute: 0 }),
  };
  return (
    <CodeEditor
      code={CODE}
      options={{ language: 'typescript' }}
      style={styles.base}
    />
  );
};

const CODE = `
type Foo = {
  name: string;
  age: number
};

const foo: Foo = {
  name: 'Jasmine',
  age: 24,
};

`;
